Page MenuHomePhabricator

Toolforge: Replace all bastion with grid-less bookworm based bastion hosts
Open, Stalled, MediumPublic

Description

Currently the Toolforge bastion puppetization is fairly tightly coupled with grid-specific components. Since the grid is eventually going away, we'll want to untangle those dependencies to make it possible to have bastion hosts that don't have grid tooling but do have the various CLI tools ('shell environ') and prevent local crontabs.

Related Objects

Event Timeline

Change 820856 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] P:toolforge: cleanup bastion grid integration

https://gerrit.wikimedia.org/r/820856

Change 820856 merged by David Caro:

[operations/puppet@production] P:toolforge: cleanup bastion grid integration

https://gerrit.wikimedia.org/r/820856

Change 990703 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] O:toolforge: add role for grid-less bastions

https://gerrit.wikimedia.org/r/990703

taavi renamed this task from Toolforge: Experiment with grid-less bastion hosts to Toolforge: Introduce grid-less bookworm based bastion hosts.Feb 15 2024, 11:33 AM
taavi claimed this task.
taavi moved this task from Backlog to Workspace for triaging whenever needed on the Toolforge board.
dcaro triaged this task as Medium priority.Feb 16 2024, 3:00 PM
[19:47]  <    bd808> the what to keep question is I think the interesting one. Getting rid of lots of language runtime things seems like it will be a good thing and help actually reduce confusion about bastion vs container execution in the future.
[19:55]  <    bd808> This is a rare opportunity to uninstall a lot of packages and then wait for people to ask for specific things to come back, so maybe we should be picky about what we keep without asking for specific use cases.

Change 990703 merged by Majavah:

[operations/puppet@production] O:toolforge: add role for grid-less bastions

https://gerrit.wikimedia.org/r/990703

Change 1012390 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] P:toolforge: move webservice CLI to the CLI profile

https://gerrit.wikimedia.org/r/1012390

Change 1012615 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] P:toolforge: ensure new bastions have en_US.UTF-8 locale

https://gerrit.wikimedia.org/r/1012615

Change 1012615 merged by Majavah:

[operations/puppet@production] P:toolforge: ensure new bastions have en_US.UTF-8 locale

https://gerrit.wikimedia.org/r/1012615

Change 1012390 merged by Majavah:

[operations/puppet@production] P:toolforge: move webservice CLI to the CLI profile

https://gerrit.wikimedia.org/r/1012390

Mentioned in SAL (#wikimedia-cloud) [2024-03-19T11:19:45Z] <taavi> point dev.toolforge.org to tools-bastion-12 T314665

taavi changed the task status from Open to In Progress.Mar 19 2024, 2:07 PM
taavi moved this task from Next Up to In Progress on the Toolforge (Toolforge iteration 07) board.

Change 1012752 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] P:toolforge: remove support for grid bastions

https://gerrit.wikimedia.org/r/1012752

taavi updated Other Assignee, added: taavi.
dcaro changed the task status from In Progress to Stalled.Apr 17 2024, 2:08 PM

I'm leaving this open until we remove the old bastions, I'll rephrase the title

dcaro renamed this task from Toolforge: Introduce grid-less bookworm based bastion hosts to Toolforge: Replace all bastion with grid-less bookworm based bastion hosts.Apr 30 2024, 7:49 AM